#
# spec file for package python-ansicolor
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
# For license file
%define tag     a5a5c31dc6de5c864a0c5684ae326972573a712b
Name:           python-ansicolor
Version:        0.2.6
Release:        lp152.4.1
Summary:        Python module for ANSI color output and colored highlighting and diffing
License:        Apache-2.0
URL:            https://github.com/numerodix/ansicolor
Source:         https://files.pythonhosted.org/packages/source/a/ansicolor/ansicolor-%{version}.tar.gz
Source10:       https://raw.githubusercontent.com/numerodix/ansicolor/%{tag}/LICENSE
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Ansicolor is a library that offers ANSI color markup for
command line programs.

%prep
%setup -q -n ansicolor-%{version}
cp %{SOURCE10} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Nov  7 2019 Matej Cepl <mcepl@suse.com>
- Run through spec-cleaner
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sun Jul 29 2018 jengelh@inai.de
- Ensure neutrality of description. Adjust summary to be more
  specific.
* Thu May 24 2018 toddrme2178@gmail.com
- Update to version 0.2.6
  * First version supporting Python 3.4!
- Update to version 0.2.5
  * ansicolor.highlight_string accepts a new kwarg colors. color has been deprecated.
- Spec file cleanups
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
